> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/data-center-port/describedatacenterportprice.md).

# DescribeDataCenterPortPrice

## 1. 接口描述

本接口(DescribeDataCenterPortPrice)用于获取数据中心在售端口类型及价格。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称 | 必选 | 类型     | 描述                                                                                                                     |
| ---- | -- | ------ | ---------------------------------------------------------------------------------------------------------------------- |
| dcId | 是  | String | <p>数据中心ID。</p><p>可通过 <a href="/api-reference/cn/sdn/location/describedatacenters.md">DescribeDataCenters</a> 接口获取。</p> |

## 3. 响应结果

| 参数名称         | 类型                                                                     | 描述                                                       |
| ------------ | ---------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId    | String                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| portPriceSet | Array of [PortPrice](/api-reference/cn/sdn/datastructure.md#portprice) | 在售数据中心端口类型及价格结果集。                                        |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeDataCenterPortPrice
<Common Request Params>

Request: {
    "dcId": "SIN1"
}

Response: {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "portPriceSet": [{
            "dcId":"SIN1",
            "portType":"1G",
            "portCategory":"STANDARD",
            "portPrice":{
                "unitPrice":1.65,
                "originalPrice":null,
                "discountPrice":null,
                "discount":100,
                "stepPrices":null,
                "discountUnitPrice":1.65,
                "chargeUnit":"DAY"
            },
            "stock":100
        }, {
            "dcId":"SIN1",
            "portType":"10G",
            "portCategory":"STANDARD",
            "portPrice":{
                "unitPrice":12.5,
                "originalPrice":null,
                "discountPrice":null,
                "discount":100,
                "stepPrices":null,
                "discountUnitPrice":12.5,
                "chargeUnit":"DAY"
            },
            "stock":50
        }]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
